Skip to main content

Set Device Auto Recovery

PUT 

/v1/device/:deviceUid/auto-recovery

Set configuration of device auto recovery process if device supports that.

Parameters

FieldTypeRequiredDescription
enabledbooleanrequiredIndicates whether peer recovery should be enabled or disabled
healthcheckIntervalMsintegerrequiredWhen auto recovery is enabled, watchdog in node process checks periodically browser process with interval specified in ms. This attribute is required only if enabled is true
autoEnableTimeoutMsintegerrequiredWhen peer recovery is disabled, a time period in ms can be specified, after which the process is enabled automatically. This attribute is required only if enabled is false

Request

Responses

OK

Response Headers
    Content-Type
    Link

    Contains URL pointing to the result of this action. Keep making requests to this URL, until the response indicates, that the action was processed. For more information, refer to endpoint Get Device History.